Module
Contents
Index 🔎︎
\<bookmark_value\>With statement\</bookmark_value\>

# With Statement

Sets an object as the default object. Unless another object name is declared, all properties and methods refer to the default object until the End With statement is reached.

## Syntax:

    With Object

     Statement block

    End With

## Parameters:

Use \<emph\>With\</emph\> and \<emph\>End With\</emph\> if you have several properties or methods for a single object.